# Record Class CSCertificateTaskFailedPermanently

java.lang.Object
java.lang.Record
com.io7m.certusine.vanilla.internal.tasks.CSCertificateTaskFailedPermanently

Record Components:
  `exception` - The exception raised

All Implemented Interfaces:
  `CSCertificateTaskStatusType`

public record CSCertificateTaskFailedPermanently(Exception exception) extends Record implements CSCertificateTaskStatusType
The task failed permanently and retrying will not result in success.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSCertificateTaskFailedPermanently(Exception exception)`
  The task failed permanently and retrying will not result in success.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OptionalLong`
  `delayRequired()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Exception`
  `exception()`
  Returns the value of the `exception` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isFailure()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSCertificateTaskFailedPermanently

    public CSCertificateTaskFailedPermanently(Exception exception)
    The task failed permanently and retrying will not result in success.
    Parameters:
      `exception` - The exception raised

- ## Method Details

  - ### isFailure

    public boolean isFailure()
    Specified by:
      `isFailure` in interface `CSCertificateTaskStatusType`
    Returns:
      The status is a failure

  - ### delayRequired

    public OptionalLong delayRequired()
    Specified by:
      `delayRequired` in interface `CSCertificateTaskStatusType`
    Returns:
      The delay required until the next time this task is retried, or the next task is executed

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### exception

    public Exception exception()
    Returns the value of the `exception` record component.
    Returns:
      the value of the `exception` record component